Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service.impl
Class HibernateCompositeDeleteListener

    java.lang.Object
      org.hibernate.event.def.DefaultDeleteEventListener
          com.jaspersoft.jasperserver.api.metadata.common.service.impl.HibernateCompositeDeleteListener

All Implemented Interfaces:
  java.io.Serializable, org.hibernate.event.DeleteEventListener

    public class HibernateCompositeDeleteListener

extends org.hibernate.event.def.DefaultDeleteEventListener

Version:
  $Id: HibernateCompositeDeleteListener.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Constructor Summary
`HibernateCompositeDeleteListener()`

Method Summary
`protected void` | `cascadeBeforeDelete(org.hibernate.event.EventSource session, org.hibernate.persister.entity.EntityPersister persister, java.lang.Object entity, org.hibernate.engine.EntityEntry entityEntry, java.util.Set transientEntities)`
`protected void` | `fireBeforeListeners(org.hibernate.event.DeleteEvent event)`
`protected void` | `fireListener(HibernateBeforeDeleteListener listener, org.hibernate.event.DeleteEvent event)`
`protected void` | `fireListener(HibernateDeleteListener listener, org.hibernate.event.DeleteEvent event)`
`protected void` | `fireListeners(org.hibernate.event.DeleteEvent event)`
`java.util.List` | `getListeners()`
`void` | `onDelete(org.hibernate.event.DeleteEvent event)`
`void` | `setListeners(java.util.List listeners)`

Methods inherited from class org.hibernate.event.def.DefaultDeleteEventListener
`cascadeAfterDelete, deleteEntity, deleteTransientEntity, invokeDeleteLifecycle, onDelete, performDetachedEntityDeletionCheck`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateCompositeDeleteListener

    public HibernateCompositeDeleteListener()

Method Detail

### getListeners

    public java.util.List getListeners()

### setListeners

    public void setListeners(java.util.List listeners)

### onDelete

    public void onDelete(org.hibernate.event.DeleteEvent event)
                  throws org.hibernate.HibernateException

  Specified by:
    `onDelete` in interface `org.hibernate.event.DeleteEventListener`
  Overrides:
    `onDelete` in class `org.hibernate.event.def.DefaultDeleteEventListener`
  Throws:
    `org.hibernate.HibernateException`

### cascadeBeforeDelete

    protected void cascadeBeforeDelete(org.hibernate.event.EventSource session,
                                       org.hibernate.persister.entity.EntityPersister persister,
                                       java.lang.Object entity,
                                       org.hibernate.engine.EntityEntry entityEntry,
                                       java.util.Set transientEntities)
                                throws org.hibernate.HibernateException

  Overrides:
    `cascadeBeforeDelete` in class `org.hibernate.event.def.DefaultDeleteEventListener`
  Throws:
    `org.hibernate.HibernateException`

### fireListeners

    protected void fireListeners(org.hibernate.event.DeleteEvent event)

### fireListener

    protected void fireListener(HibernateDeleteListener listener,
                                org.hibernate.event.DeleteEvent event)

### fireBeforeListeners

    protected void fireBeforeListeners(org.hibernate.event.DeleteEvent event)

### fireListener

    protected void fireListener(HibernateBeforeDeleteListener listener,
                                org.hibernate.event.DeleteEvent event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.